Values (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.flush.operation, class: Values

# Class Values

java.lang.Object
org.apache.cayenne.access.flush.operation.Values

public class Values extends Object
Collection of values that should be inserted or updated in DB.

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,Object>`
  `attributeSnapshot`
  `protected Map<String,Object>`
  `fkSnapshot`
  `protected Map<CayennePath, ObjectId>`
  `flattenedIds`
  `protected final boolean`
  `includeId`
  `protected final DbRowOp`
  `row`
  `protected List<DbAttribute>`
  `updatedAttributes`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Values(DbRowOp row, boolean includeId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFlattenedId(CayennePath path, ObjectId id)`
  `void`
  `addValue(DbAttribute attribute, Object value, boolean fk)`
  `void`
  `clear()`
  `Map<CayennePath, ObjectId>`
  `getFlattenedIds()`
  `Map<String,Object>`
  `getSnapshot()`
  `List<DbAttribute>`
  `getUpdatedAttributes()`
  `boolean`
  `isEmpty()`
  `boolean`
  `isSameBatch(Values other)`
  `void`
  `merge(Values other)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### row

    protected final DbRowOp row

  - ### includeId

    protected final boolean includeId

  - ### attributeSnapshot

    protected Map<String,Object> attributeSnapshot

  - ### fkSnapshot

    protected Map<String,Object> fkSnapshot

  - ### updatedAttributes

    protected List<DbAttribute> updatedAttributes

  - ### flattenedIds

    protected Map<CayennePath, ObjectId> flattenedIds

- ## Constructor Details

  - ### Values

    public Values(DbRowOp row, boolean includeId)

- ## Method Details

  - ### addValue

    public void addValue(DbAttribute attribute, Object value, boolean fk)

  - ### merge

    public void merge(Values other)

  - ### addFlattenedId

    public void addFlattenedId(CayennePath path, ObjectId id)

  - ### getSnapshot

    public Map<String,Object> getSnapshot()

  - ### getUpdatedAttributes

    public List<DbAttribute> getUpdatedAttributes()

  - ### getFlattenedIds

    public Map<CayennePath, ObjectId> getFlattenedIds()

  - ### isEmpty

    public boolean isEmpty()

  - ### clear

    public void clear()

  - ### isSameBatch

    public boolean isSameBatch(Values other)